import React, { Component } from 'react';
import BlockInp from '@containers/BlockInpContainer';
import { connect } from "react-redux";

class PersonalHistory extends Component {
  constructor(props) {
    super(props)
  }
  render() {
    const { value, isRead } = this.props;
    return <BlockInp title='个人史' boxMark='14' value={value} isRead={isRead}></BlockInp>;
  }
}

function mapStateToProps(state) {
  const { personalHistory } = state;
  return {
    value: personalHistory && personalHistory.saveText[0],
  }
}
function mapDispatchToProps(dispatch, store) {
  return {
  }
}

const PersonalHistoryCont = connect(
  mapStateToProps,
  mapDispatchToProps
)(PersonalHistory);

export default PersonalHistoryCont;